#ifndef _Testing_TestWindow_h_
#define _Testing_TestWindow_h_

#include <CtrlLib/CtrlLib.h>
using namespace Upp;

#include "AutoResizeTopWindow.h"

#define LAYOUTFILE "Testing/Testing.lay"
#include <CtrlCore/lay.h>

#define IMAGECLASS TestImage
#define IMAGEFILE <Testing/Testing.iml>
#include <Draw/iml_header.h>

class TestWindow : public WithParentTestLayout<TopWindow>
{
public:
	typedef TestWindow CLASSNAME;
	TestWindow();
	
	WithTestLayout<ParentCtrl> m_testLayout;
	
	MenuBar m_menuBar;
	ToolBar m_toolBar;

private:
	// Menubar callbacks
	void OnMenuBar(Bar& _bar);
	void OnMenuBarFile(Bar& _bar);
    void OnMenuBarHelp(Bar& _bar);
    void OnMenuBarFileSettings();
	void OnMenuBarFileExit();
	void OnMenuBarHelpAbout();
	//Toolbar callbacks
	void OnToolBar(Bar& _bar);
};

#endif
